<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @subject, url: admin_academic_subject_subject_path, remote: true do |form| %>

      <%= error_message(@subject) %>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Nombre</strong>
          <%= form.text_field :name, required: true, autofocus: true %>
        </div>
      </div>

      <div class="ui three column stackable grid">
        <div class="column">
          <strong>Codigo</strong>
          <%= form.text_field :code, required: true %>
        </div>
        <div class="column">
          <strong>Créditos</strong>
          <%= form.number_field :credits, required: true %>
        </div>
        <div class="column">
          <strong>Horas académicas</strong>
          <%= form.number_field :hours, required: true %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Semestres asociados</strong>
          <%= form.select(:semester_ids,
                          Admin::Academic::Career::Semester.all.order(name: :asc).collect {|semester| ["#{semester.name.humanize} - #{semester.career.name.titleize}", semester.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'searchDropdown ui fluid search multiple selection dropdown', multiple: true}) %>
        </div>
      </div>


      <div data-controller="nested-form">
        <div class="ui one column stackable grid">
          <div class="column">
            <h3>Modulos</h3>
          </div>
        </div>

        <div class="hr-divider"></div>

        <template data-target="nested-form.template">
          <%= form.fields_for :modules, Admin::Academic::Subject::Module.new, child_index: 'TEMPLATE_RECORD' do |mod| %>
            <%= render 'admin/academic/subject/subjects/forms/modules', form: mod %>
          <% end %>
        </template>

        <%= form.fields_for :modules do |mod| %>
          <%= render 'admin/academic/subject/subjects/forms/modules', form: mod %>
        <% end %>

        <div data-target="nested-form.add_task" style="position: absolute; right: 1.3rem; top: 11rem">
          <%= link_to "Agregar", '#', data: { action: "nested-form#add_association" }, class: 'nested-add-field-button ui blue button' %>
        </div>

      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button' %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.searchDropdown').dropdown({
    showOnFocus: false,
    fullTextSearch: true,
    clearable: true,
    placeholder: 'Seleccione una opción',
    minCharacters: 1
  });
</script>

<style>
  .nested-add-field-button {
    position: absolute;
    top: 12rem;
    right: .25rem;
  }
</style>
